package cn.superdesk.uniorder.dubbo.facade.sys.notify;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotifyCategory;
import cn.superdesk.uniorder.dto.param.system.notify.SysNotifyCategoryParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-03-01 17:37:17
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-03-01 17:37:17
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSysNotifyCategoryService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysNotifyCategoryParam param);

	@Deprecated
	void updateObj(SysNotifyCategoryParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysNotifyCategory findById(Long id);

	@Deprecated
	PageInfo<SysNotifyCategory> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysNotifyCategory> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysNotifyCategory(SysNotifyCategoryParam param);

	void updateSysNotifyCategory(SysNotifyCategoryParam param);

	void deleteSysNotifyCategory(Long id);

	SysNotifyCategory findSysNotifyCategoryById(Long id);

	R<List<SysNotifyCategory>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
